Bug 209522 - Review Request: libsmi - A library to access SMI MIB information
Review Request: libsmi - A library to access SMI MIB information
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-10-05 15:15 EDT by Jose Pedro Oliveira
Modified: 2008-01-10 16:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-10 07:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kasal: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-10-05 15:15:35 EDT
Spec URL: 


Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules.

This package contains tools to check, dump, and convert MIB
definitions and a steadily maintained and revised archive
of all IETF and IANA maintained standard MIB modules.
Comment 1 Jason Tibbitts 2006-10-05 20:52:16 EDT
Looks to have some rpath issues:
   E: libsmi binary-or-shlib-defines-rpath /usr/bin/smidiff ['/usr/lib64']
   E: libsmi binary-or-shlib-defines-rpath /usr/bin/smiquery ['/usr/lib64']
   E: libsmi binary-or-shlib-defines-rpath /usr/bin/smidump ['/usr/lib64']
   E: libsmi binary-or-shlib-defines-rpath /usr/bin/smilint ['/usr/lib64']

Passing --disable-rpath to configure didn't help.  Adding
LIBTOOL=/usr/bin/libtool to the make line, and then deleting the resulting .a
file down in %install where the .la files are removed, made things work for me.

I also enabled make check, and tacke on an '||:' so the build wouldn't fail. 
Two tests indeed did fail as expected.

Once the rpath stuff is fixed, things look pretty good.  I'll assume that's done
for the purposes of this review.

* source files match upstream:
   c904b124bcaad692e04fdf2f0cff38bb  libsmi-0.4.5.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (needed to add libtool to fix rpath issue)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent (after rpath fixes)
* final provides and requires are sane:
   config(libsmi) = 0.4.5-1.fc6
   libsmi = 0.4.5-1.fc6
   config(libsmi) = 0.4.5-1.fc6

   libsmi-devel = 0.4.5-1.fc6
   libsmi = 0.4.5-1.fc6

* %check is present and all (expected) tests pass:
   PASS: smilint-smiv2.test
   PASS: smidump-smiv1.test
   PASS: smidump-smiv2.test
   PASS: smidump-sming.test
   PASS: smidump-mosy.test
   PASS: smidump-tree.test
   PASS: smidump-types.test
   PASS: smidump-imports.test
   PASS: smidump-identifiers.test
   PASS: smidump-metrics.test
   PASS: smidump-xml.test
   PASS: smidump-python.test
   FAIL: smidump-cm.test
   PASS: smidump-corba.test
   PASS: smidump-jax.test
   PASS: smidump-netsnmp.test
   PASS: smidump-orig-smiv2.test
   PASS: smidump-smiv2-smiv2.test
   PASS: parser.test
   FAIL: smidiff.test

* no shared libraries present:
   ldconfig is called as necessary.
   unversioned .so files are in the -devel subpackage
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* pkgconfig file is in the -devel subpackage.
* no libtool .la droppings (explicitly removed)
* no static libraries

So if you agree with my method of suppressing the rpath warnings, you can
consider this APPROVED.
Comment 2 Jose Pedro Oliveira 2006-10-05 21:35:04 EDT

Could you build this new release 
in a x86_64 system?  This new release implements your recomendations to
handle the rpath problem in 64-bit systems.


PS - <rant>I do need to get an account in 64-bit system</rant>
Comment 3 Kevin Fenzi 2006-10-05 22:01:15 EDT
in reply to comment #2: 

I have a x86_64 test box that I'd be happy to provide accounts on for 
submitters. Just send me an email with your ssh key and a link to any 
submissions you are working on... 
Comment 4 Jason Tibbitts 2006-10-05 22:22:00 EDT
Actually you need to put "LIBTOOL=..." after the "make"; it's a makefile
variable, not an environment variable.  So:

make LIBTOOL=/usr/bin/libtool make %{?_smp_mflags}

Sorry I wasn't clearer.  With that change, all is well.
Comment 5 Jason Tibbitts 2006-10-05 23:08:05 EDT
Duh, of course that should be:

make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}
Comment 6 Jose Pedro Oliveira 2006-10-06 06:55:52 EDT
Imported and built for development (assuming the approval in comment #1).
Comment 7 Jose Pedro Oliveira 2006-10-10 07:33:09 EDT
FC-5 branch finally created (after the second request).
Also built for FC-5.

Thanks for the review and for the solution of the rpath problem in x86_64 systems.

Comment 8 Stepan Kasal 2008-01-10 16:42:54 EST
I believe this should have fedora-review flag set to +.

Note You need to log in before you can comment on or make changes to this bug.